<p-header>
    <div class="ui-g-12 ui-sm-12">
        <br>
        <h4>Approval Request Note</h4>
        <hr>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Nomor Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.reqnotnumber}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Tanggal Request</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.dtcreated}}</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Dealer Pemohon</div>
        <div class="ui-g-12 ui-md-6 ui-lg-8">: {{unitDocumentMessagePassing.pemohon}}</div>
        <!-- <div class="ui-g-12 ui-md-6 ui-lg-4">Status</div><div class="ui-g-12 ui-md-6 ui-lg-8">: Hasil</div>
        <div class="ui-g-12 ui-md-6 ui-lg-4">Cabang Tujuan</div><div class="ui-g-12 ui-md-6 ui-lg-8">: Hasil</div> -->
        <div class="ui-g-12 ui-md-6 ui-lg-12">
            <hr>
        </div>
    </div>
</p-header>
<br>
<p-dataList [value]="unitDocumentMessage" [paginator]="true" [rows]="itemsPerPage" [lazy]="true" (onLazyLoad)="loadDataLazy($event)"
    [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems">
    <ng-template let-rowData let-i="index" pTemplate="item">
        <div class="ui-g ui-fluid border-item">
            <div class="ui-g-5 ui-md-5">
                <div class="ui-g-12 ui-sm-12">
                    <div>
                        <h6>{{rowData.marketname}}</h6>
                    </div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.idproduct}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.color}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.yearAssmbly}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">Qty Request : {{rowData.QtyReq}}</div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">Cabang Tujuan : </div>
                    <div class="ui-g-12 ui-md-6 ui-lg-6">{{rowData.cabang}}</div>
                </div>
            </div>
        </div>
    </ng-template>
</p-dataList>
<div class="ui-g" style="margin:30px 0px;" *ngIf="unitDocumentMessagePassing.idstatustype == 11">
    <ul class="nav justify-content-end">
        <li class="nav-item">
            <button pButton type="button" (click)="submit('approve')" label="Approve" class="flat-label-button">
            </button>
        </li>
        <li class="nav-item">
            <button pButton type="button" (click)="submit('reject')" label="Not Approve" class="flat-label-button">
            </button>
        </li>
    </ul>
</div>
<p-confirmDialog></p-confirmDialog>